Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 288392 - net-print/gnome-cups-manager (and others) should depend on net-fs/samba-libs[smbclient]
Summary: net-print/gnome-cups-manager (and others) should depend on net-fs/samba-libs[...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on: 285822
Blocks:
  Show dependency tree
 
Reported: 2009-10-10 08:34 UTC by Priit Laes (IRC: plaes)
Modified: 2010-08-29 21:24 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Priit Laes (IRC: plaes) 2009-10-10 08:34:19 UTC
A while ago, samba package was borken into subpackages, but it seems that some dependencies were broken due to that:

[snip]
 x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -DORBIT2=1 -pthread -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib64/gnome-vfs-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/gail-1.0 -I/usr/include/freetype2 -I/usr/include/atk-1.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/libglade-2.0 -I/usr/include/libgnomecups-1 -I.. -I.. -DDATADIR=\"/usr/share\" -DGNOME_CUPS_MANAGER_DATADIR=\"/usr/share/gnome-cups-manager\" -DGNOMELOCALEDIR=\"/usr/share/locale\" -march=native -ggdb -O2 -pipe -MT gnome-cups-ui-driver.lo -MD -MP -MF .deps/gnome-cups-ui-driver.Tpo -c gnome-cups-ui-driver.c -o gnome-cups-ui-driver.o >/dev/null 2>&1
gnome-cups-ui-connection.c:49:26: error: libsmbclient.h: No such file or directory
gnome-cups-ui-connection.c: In function ‘cb_smb_thread’:
gnome-cups-ui-connection.c:853: warning: implicit declaration of function ‘smbc_opendir’
gnome-cups-ui-connection.c:853: warning: nested extern declaration of ‘smbc_opendir’
gnome-cups-ui-connection.c:854: warning: implicit declaration of function ‘smbc_readdir’
gnome-cups-ui-connection.c:854: warning: nested extern declaration of ‘smbc_readdir’
gnome-cups-ui-connection.c:854: warning: assignment makes pointer from integer without a cast
gnome-cups-ui-connection.c:855: error: dereferencing pointer to incomplete type
gnome-cups-ui-connection.c:855: error: ‘SMBC_WORKGROUP’ undeclared (first use in this function)
gnome-cups-ui-connection.c:855: error: (Each undeclared identifier is reported only once
gnome-cups-ui-connection.c:855: error: for each function it appears in.)
gnome-cups-ui-connection.c:856: error: dereferencing pointer to incomplete type
gnome-cups-ui-connection.c:858: warning: assignment makes pointer from integer without a cast
gnome-cups-ui-connection.c:859: error: dereferencing pointer to incomplete type
gnome-cups-ui-connection.c:859: error: ‘SMBC_SERVER’ undeclared (first use in this function)
gnome-cups-ui-connection.c:860: error: dereferencing pointer to incomplete type
gnome-cups-ui-connection.c:862: error: dereferencing pointer to incomplete type
gnome-cups-ui-connection.c:866: warning: implicit declaration of function ‘smbc_closedir’
gnome-cups-ui-connection.c:866: warning: nested extern declaration of ‘smbc_closedir’
gnome-cups-ui-connection.c: In function ‘cb_smb_find_printers’:
gnome-cups-ui-connection.c:889: warning: assignment makes pointer from integer without a cast
gnome-cups-ui-connection.c:890: error: dereferencing pointer to incomplete type
gnome-cups-ui-connection.c:890: error: ‘SMBC_PRINTER_SHARE’ undeclared (first use in this function)
gnome-cups-ui-connection.c:893: error: dereferencing pointer to incomplete type
gnome-cups-ui-connection.c: In function ‘cb_connection_type_changed’:
gnome-cups-ui-connection.c:1114: warning: implicit declaration of function ‘smbc_init’
gnome-cups-ui-connection.c:1114: warning: nested extern declaration of ‘smbc_init’
 x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -DORBIT2=1 -pthread -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib64/gnome-vfs-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/gail-1.0 -I/usr/include/freetype2 -I/usr/include/atk-1.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/libglade-2.0 -I/usr/include/libgnomecups-1 -I.. -I.. -DDATADIR=\"/usr/share\" -DGNOME_CUPS_MANAGER_DATADIR=\"/usr/share/gnome-cups-manager\" -DGNOMELOCALEDIR=\"/usr/share/locale\" -march=native -ggdb -O2 -pipe -MT gnome-cups-permission.lo -MD -MP -MF .deps/gnome-cups-permission.Tpo -c gnome-cups-permission.c  -fPIC -DPIC -o .libs/gnome-cups-permission.o
gnome-cups-ui-connection.c: In function ‘parse_printer_uri’:
gnome-cups-ui-connection.c:1557: warning: pointer targets in passing argument 1 of ‘url_decode’ differ in signedness
gnome-cups-ui-connection.c:1497: note: expected ‘unsigned char *’ but argument is of type ‘char *’
gnome-cups-ui-connection.c:1575: warning: pointer targets in passing argument 1 of ‘url_decode’ differ in signedness
gnome-cups-ui-connection.c:1497: note: expected ‘unsigned char *’ but argument is of type ‘char *’
gnome-cups-ui-connection.c:1646: warning: pointer targets in passing argument 1 of ‘url_decode’ differ in signedness
gnome-cups-ui-connection.c:1497: note: expected ‘unsigned char *’ but argument is of type ‘char *’
make[3]: *** [gnome-cups-ui-connection.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
 x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -DORBIT2=1 -pthread -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib64/gnome-vfs-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/gail-1.0 -I/usr/include/freetype2 -I/usr/include/atk-1.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/libglade-2.0 -I/usr/include/libgnomecups-1 -I.. -I.. -DDATADIR=\"/usr/share\" -DGNOME_CUPS_MANAGER_DATADIR=\"/usr/share/gnome-cups-manager\" -DGNOMELOCALEDIR=\"/usr/share/locale\" -march=native -ggdb -O2 -pipe -MT gnome-cups-permission.lo -MD -MP -MF .deps/gnome-cups-permission.Tpo -c gnome-cups-permission.c -o gnome-cups-permission.o >/dev/null 2>&1
mv -f .deps/gnome-cups-permission.Tpo .deps/gnome-cups-permission.Plo
mv -f .deps/gnome-cups-ui-driver.Tpo .deps/gnome-cups-ui-driver.Plo
make[3]: Leaving directory `/var/tmp/portage/net-print/gnome-cups-manager-0.33-r1/work/gnome-cups-manager-0.33/libgnomecups'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/net-print/gnome-cups-manager-0.33-r1/work/gnome-cups-manager-0.33/libgnomecups'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-print/gnome-cups-manager-0.33-r1/work/gnome-cups-manager-0.33'
make: *** [all] Error 2
[/snip]

Unfortunately I'm unable to build net-fs/samba-client in order to test this idea due to bug 285822 and bug 283462.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-10-10 13:46:56 UTC
This seems to be the samba team not handling the transition to the new packages/use flags at all.
Comment 2 Tim Ryan 2009-10-10 16:05:08 UTC
I have net-fs/samba installed, which pulls in samba-libs, samba-server, and samba-client, and I still get the same error. There is no libsmbclient.h on my machine.
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-10-10 16:21:37 UTC
Enable smbclient USE flag.
Comment 4 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-10-10 17:32:22 UTC
For gnome there are these three at least:

[ebuild   R   ] gnome-base/gvfs-1.4.0  USE="archive avahi -bash-completion bluetooth -cdda -debug -doc -fuse -gdu gnome gnome-keyring -gphoto2 gudev hal samba udev" 0 kB [1]
[ebuild   R   ] gnome-base/gnome-vfs-2.24.1  USE="acl avahi -debug -doc -fam gnutls hal ipv6 -kerberos samba ssl" 0 kB [0]
Comment 5 Tim Ryan 2009-10-10 17:39:32 UTC
(In reply to comment #3)
> Enable smbclient USE flag.
> 
Thanks, that did fix it, but what the point? I already had the samba use flag, and samba-client installed. Why is a separate smbclient use flag needed to get it to work?
Comment 6 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-10-10 17:48:52 UTC
That's what this bug is about in the first place.
Comment 7 tonich 2009-10-16 09:06:57 UTC
all dependencies on net-fs/samba should be replaced with

( || ( net-fs/samba net-fs/samba-libs ) )

I do that replacement manually now and all depend software builds and works (but samba related functionality has not used expensively).
Comment 8 Priit Laes (IRC: plaes) 2009-10-18 14:33:27 UTC
There's also another problem that came with the samba package breakup: bug 285822
Comment 9 Gilles Dartiguelongue gentoo-dev 2010-08-29 21:24:03 UTC
automagic dependency on smbclient fixed in 0.33-r2. Closing.